Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodehaschildnodesfalse Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodehaschildnodesfalse (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "hasChildNodes()" method returns false if the node does not have any children.

Retrieve the Text node inside the first child of the second employee and invoke the "hasChildNodes()" method. It should return the boolean value "false".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1451460987 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-810594187

Definition at line 45 of file nodehaschildnodesfalse.java.

## Constructor & Destructor Documentation

nodehaschildnodesfalse::nodehaschildnodesfalse | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodehaschildnodesfalse.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodehaschildnodesfalse::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 71 of file nodehaschildnodesfalse.java.
    00071                                 {
    00072       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodehaschildnodesfalse";
    00073    }

void nodehaschildnodesfalse::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 74 of file nodehaschildnodesfalse.java. References DOMTestCase::doMain().
    00074                                           {
    00075         DOMTestCase.doMain(nodehaschildnodesfalse.class,args);
    00076    }

void nodehaschildnodesfalse::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodehaschildnodesfalse.java. References DOMTestCase::assertFalse(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList elementList;
    00056       Node child;
    00057       NodeList employeeIdList;
    00058       Node employeeNode;
    00059       Node textNode;
    00060       boolean state;
    00061       doc = load("staff");
    00062       elementList = doc.getElementsByTagName("employee");
    00063       child = elementList.item(1);
    00064       employeeIdList = child.getChildNodes();
    00065       employeeNode = employeeIdList.item(1);
    00066       textNode = employeeNode.getFirstChild();
    00067       state = textNode.hasChildNodes();
    00068       assertFalse("nodeHasChildFalseAssert1",state);
    00069
    00070    }

The documentation for this class was generated from the following file:

- nodehaschildnodesfalse.java